Summary: XML libraries for python
Name: PyXML
Version: 0.8.4
Release: 19%{?dist}
Source: http://prdownloads.sourceforge.net/pyxml/PyXML-%{version}.tar.gz
Patch0: PyXML-0.7.1-intern.patch
Patch1: PyXML-0.8.4-cvs20041111-python2.4-backport.patch
Patch2: PyXML-memmove.patch
Patch3: PyXML-0.8.4-python2.6.patch

License: MIT and Python and ZPLv1.0 and BSD
Group: Development/Libraries
Requires: python
URL: http://pyxml.sourceforge.net/
BuildRequires: python python-devel expat-devel dos2unix
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: python-setuptools-devel

%description
An XML package for Python.  The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

%prep
%setup -q

%patch0 -p1 -b .intern
%patch1 -p1 -b .python2.4-backport
%patch2 -p1
%patch3 -p1

# iconv to use utf8
for file in CREDITS ANNOUNCE doc/xml-howto.txt doc/xml-ref.txt README; do
  iconv -f iso8859-1 -t utf-8 -o tmp $file
  mv tmp $file
done

# use Unix style EOL
dos2unix doc/xmlproc/standard.css

%build
# build PyXML with system expat
# Make sure we don't use local one
rm -rf extensions/expat
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{__python} -c 'import setuptools; execfile("setup.py")' build  --with-xslt --with-libexpat=%{_usr}

%install
rm -fr $RPM_BUILD_ROOT
python -c 'import setuptools; execfile("setup.py")' install --skip-build --root=$RPM_BUILD_ROOT --with-xslt

# set executable bits
for file in xslt/_4xslt.py dom/ext/c14n.py dom/html/GenerateHtml.py; do
  chmod +x $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/_xmlplus/$file
done

# move messages files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale
for file in dom/de dom/en_US dom/fr; do
  mv $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/_xmlplus/$file \
    $RPM_BUILD_ROOT/%{_datadir}/locale
done

%find_lang 4Suite %{name}

# better to use symlink to python's pyexpat library
# Resolves 614911
pushd $RPM_BUILD_ROOT/%{python_sitearch}/_xmlplus/parsers
rm -rf pyexpat.so
ln -s %{_libdir}/python2.6/lib-dynload/pyexpat.so pyexpat.so 
popd

%clean
rm -rf $RPM_BUILD_ROOT

%check
cd test
PYTHONPATH=.. python regrtest.py -v

%files -f %{name}
%defattr(-,root,root,-)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%{_bindir}/xmlproc_parse
%{_bindir}/xmlproc_val
%{python_sitearch}/*egg-info
%{python_sitearch}/_xmlplus


%changelog

